View Issue Details

IDProjectCategoryView StatusLast Update
0001026SymmetricDSNew Featurepublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.2.3 
Target Version3.3.0.pre.1Fixed in Version3.3.0 
Summary0001026: If the minor version is upgraded, then (if you aren't the reg server) request a reload of key symmetric tables
DescriptionIf the minor version is upgraded, then (if you aren't the reg server) request a reload of key symmetric tables from parent server.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master b45f9984

2013-01-31 23:10:48

chenson

Details Diff
0001026: If the minor version is upgraded, then (if you aren't the reg server) request a reload of key symmetric tables
0001026
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/Version.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/TableConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TableReloadRequest.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RegistrationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/AbstractVersion.java Diff File

Issue History

Date Modified Username Field Change
2013-01-31 22:59 chenson New Issue
2013-01-31 22:59 chenson Status new => assigned
2013-01-31 22:59 chenson Assigned To => chenson
2013-01-31 23:00 chenson Status assigned => resolved
2013-01-31 23:00 chenson Fixed in Version => 3.3.0.pre.1
2013-01-31 23:00 chenson Resolution open => fixed
2013-01-31 23:10 chenson Category Improvement => New Feature
2013-02-01 08:33 chenson Status resolved => closed
2013-02-04 15:48 chenson Fixed in Version 3.3.0.pre.1 => 3.3.0
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r6810
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master b45f9984